| Box2D 2.3.0 A 2D Physics Engine for Games

Public Member Functions | Public Attributes | List of all members
b2CircleShape Class Reference

A circle shape. More...

`#include <b2CircleShape.h>`

Inheritance diagram for b2CircleShape:

## Public Member Functions
b2Shape * | Clone (b2BlockAllocator *allocator) const
| Implement b2Shape.
int32 | GetChildCount () const
bool | TestPoint (const b2Transform &transform, const b2Vec2 &p) const
| Implement b2Shape.
bool | RayCast (b2RayCastOutput *output, const b2RayCastInput &input, const b2Transform &transform, int32 childIndex) const
| Implement b2Shape.
void | ComputeAABB (b2AABB *aabb, const b2Transform &transform, int32 childIndex) const
void | ComputeMass (b2MassData *massData, float32 density) const
int32 | GetSupport (const b2Vec2 &d) const
| Get the supporting vertex index in the given direction.
const b2Vec2 & | GetSupportVertex (const b2Vec2 &d) const
| Get the supporting vertex in the given direction.
int32 | GetVertexCount () const
| Get the vertex count.
const b2Vec2 & | GetVertex (int32 index) const
| Get a vertex by index. Used by b2Distance.
Public Member Functions inherited from b2Shape
Type | GetType () const

## Public Attributes
b2Vec2 | m_p
| Position.
Public Attributes inherited from b2Shape
Type | m_type
float32 | m_radius

## Additional Inherited Members
Public Types inherited from b2Shape
enum | Type { e_circle = 0, e_edge = 1, e_polygon = 2, e_chain = 3, e_typeCount = 4 }

## Detailed Description

A circle shape.

## Member Function Documentation

## ◆ ComputeAABB()

void b2CircleShape::ComputeAABB | ( | b2AABB * | aabb,
|  | const b2Transform & | transform,
|  | int32 | childIndex
| ) |  | const
| virtual

See also
  b2Shape::ComputeAABB

Implements b2Shape.

## ◆ ComputeMass()

void b2CircleShape::ComputeMass | ( | b2MassData * | massData,
|  | float32 | density
| ) |  | const
| virtual

See also
  b2Shape::ComputeMass

Implements b2Shape.

## ◆ GetChildCount()

int32 b2CircleShape::GetChildCount | ( |  | ) | const
| virtual

See also
  b2Shape::GetChildCount

Implements b2Shape.

The documentation for this class was generated from the following files:

- b2CircleShape.h
- b2CircleShape.cpp